Threads

View as Markdown

List Threads

GET
/agent/v0/threads

Query Parameters

limit?integer

Limit of number of items returned.

page_token?string

Page token for pagination.

labels?array<>

Labels to filter by.

before?string

Timestamp before which to filter by.

Formatdate-time
after?string

Timestamp after which to filter by.

Formatdate-time
ascending?boolean

Sort in ascending temporal order.

include_spam?boolean

Include spam in results.

include_blocked?boolean

Include blocked in results.

include_trash?boolean

Include trash in results.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

application/json

curl -X GET "https://api.agentry.to/agent/v0/threads" \  -H "Authorization: string"
{
  "count": 0,
  "limit": 0,
  "next_page_token": "string",
  "threads": [
    {
      "inbox_id": "string",
      "thread_id": "string",
      "labels": [
        "string"
      ],
      "timestamp": "2019-08-24T14:15:22Z",
      "received_timestamp": "2019-08-24T14:15:22Z",
      "sent_timestamp": "2019-08-24T14:15:22Z",
      "senders": [
        "string"
      ],
      "recipients": [
        "string"
      ],
      "subject": "string",
      "preview": "string",
      "attachments": [
        {
          "attachment_id": "string",
          "filename": "string",
          "size": 0,
          "content_type": "string",
          "content_disposition": "inline",
          "content_id": "string"
        }
      ],
      "last_message_id": "string",
      "message_count": 0,
      "size": 0,
      "updated_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "name": "string",
  "message": "string"
}

Get Thread

GET
/agent/v0/threads/{thread_id}

Path Parameters

thread_id*string

ID of thread.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

application/json

curl -X GET "https://api.agentry.to/agent/v0/threads/string" \  -H "Authorization: string"
{
  "inbox_id": "string",
  "thread_id": "string",
  "labels": [
    "string"
  ],
  "timestamp": "2019-08-24T14:15:22Z",
  "received_timestamp": "2019-08-24T14:15:22Z",
  "sent_timestamp": "2019-08-24T14:15:22Z",
  "senders": [
    "string"
  ],
  "recipients": [
    "string"
  ],
  "subject": "string",
  "preview": "string",
  "attachments": [
    {
      "attachment_id": "string",
      "filename": "string",
      "size": 0,
      "content_type": "string",
      "content_disposition": "inline",
      "content_id": "string"
    }
  ],
  "last_message_id": "string",
  "message_count": 0,
  "size": 0,
  "updated_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "messages": [
    {
      "inbox_id": "string",
      "thread_id": "string",
      "message_id": "string",
      "labels": [
        "string"
      ],
      "timestamp": "2019-08-24T14:15:22Z",
      "from": "string",
      "reply_to": [
        "string"
      ],
      "to": [
        "string"
      ],
      "cc": [
        "string"
      ],
      "bcc": [
        "string"
      ],
      "subject": "string",
      "preview": "string",
      "text": "string",
      "html": "string",
      "extracted_text": "string",
      "extracted_html": "string",
      "attachments": [
        {
          "attachment_id": "string",
          "filename": "string",
          "size": 0,
          "content_type": "string",
          "content_disposition": "inline",
          "content_id": "string"
        }
      ],
      "in_reply_to": "string",
      "references": [
        "string"
      ],
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "size": 0,
      "updated_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "name": "string",
  "message": "string"
}

Delete Thread

DELETE
/agent/v0/threads/{thread_id}

Path Parameters

thread_id*string

ID of thread.

Query Parameters

permanent?boolean

If true, permanently delete the thread instead of moving to trash.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

curl -X DELETE "https://api.agentry.to/agent/v0/threads/string" \  -H "Authorization: string"
Empty
{
  "name": "string",
  "message": "string"
}

Get Attachment

GET
/agent/v0/threads/{thread_id}/attachments/{attachment_id}

Path Parameters

thread_id*string

ID of thread.

attachment_id*string

ID of attachment.

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

application/json

curl -X GET "https://api.agentry.to/agent/v0/threads/string/attachments/string" \  -H "Authorization: string"
{
  "attachment_id": "string",
  "filename": "string",
  "size": 0,
  "content_type": "string",
  "content_disposition": "inline",
  "content_id": "string",
  "download_url": "string",
  "expires_at": "2019-08-24T14:15:22Z"
}
{
  "name": "string",
  "message": "string"
}